Debian Bug report logs - #680280
pu: package plymouth/0.8.3-9.2

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Wed, 4 Jul 2012 19:00:02 UTC

Severity: normal

Tags: confirmed, pending, squeeze

Fixed in version 6.0.6

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680280; Package release.debian.org. (Wed, 04 Jul 2012 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jul 2012 19:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package plymouth/0.8.3-9.2
Date: Wed, 4 Jul 2012 20:56:30 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
Tags: squeeze confirmed
User: release.debian.org@packages.debian.org
Usertags: pu

As agreed on irc, I'm about to upload plymouth to stable with the below
changes.

Cheers,
Julien

diff -u plymouth-0.8.3/debian/plymouth.init plymouth-0.8.3/debian/plymouth.init
--- plymouth-0.8.3/debian/plymouth.init
+++ plymouth-0.8.3/debian/plymouth.init
@@ -16,6 +16,8 @@
 DESC="Boot splash manager"
 SPLASH="false"
 
+test -x /sbin/plymouthd || exit 0
+
 if [ -r "/etc/default/${NAME}" ]
 then
 	. "/etc/default/${NAME}"
diff -u plymouth-0.8.3/debian/changelog plymouth-0.8.3/debian/changelog
--- plymouth-0.8.3/debian/changelog
+++ plymouth-0.8.3/debian/changelog
@@ -1,3 +1,10 @@
+plymouth (0.8.3-9.2) squeeze; urgency=low
+
+  * Fix the init script to not do anything if the plymouth package is removed
+    (closes: #617857).
+
+ -- Julien Cristau <jcristau@debian.org>  Wed, 04 Jul 2012 20:51:56 +0200
+
 plymouth (0.8.3-9.1) testing; urgency=low
 
   * Non-maintainer upload.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680280; Package release.debian.org. (Fri, 06 Jul 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jul 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 680280@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, <680280@bugs.debian.org>
Subject: Re: Bug#680280: pu: package plymouth/0.8.3-9.2
Date: Fri, 06 Jul 2012 23:18:42 +0100
tag 680280 + pending
thanks

On 04.07.2012 19:56, Julien Cristau wrote:
> As agreed on irc, I'm about to upload plymouth to stable with the 
> below
> changes.

Flagged for acceptance; thanks.

Regards,

Adam




Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 06 Jul 2012 22:21:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions 6.0.6. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 29 Sep 2012 14:03:20 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 29 Sep 2012 14:03:20 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Sat, 29 Sep 2012 14:03:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Oct 2012 07:32:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:30:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.